# QXmlNodeModelIndex Class Reference

### [com.trolltech.qt.xmlpatterns package]

### Constructor

- void QXmlNodeModelIndex()
- void QXmlNodeModelIndex(QXmlNodeModelIndex other)

### Constructor Properties

- prototype: The QXmlNodeModelIndex prototype object
- Attribute = 1
- Comment = 2
- Document = 4
- Element = 8
- Namespace = 16
- ProcessingInstruction = 32
- Text = 64
- NodeKind( value )
- Precedes = -1
- Is = 0
- Follows = 1
- DocumentOrder( value )

### Prototype Object Properties

- qint64 additionalData()
- qint64 data()
- bool isNull()
- QAbstractXmlNodeModel model()
- bool operator_equal(QXmlNodeModelIndex other)

### Instance Properties

QXmlNodeModelIndex objects have no special properties beyond those inherited from the QXmlNodeModelIndex prototype object.